Source: https://atomicwork-preview.docs-staging.pageloop.ai/api-reference/users/putapi-v-1-users-user-id

# Update User

PUT `https://{tenant}.atomicwork.com/api/v1/users/{user_id}`

## Authorization

#### X-Api-Key (header, string, required)

## Headers

#### X-Workspace-Id (header, string)

## Path Parameters

#### user\_id (path, integer, required)

## Body

#### email (body, string)

#### first\_name (body, string)

#### middle\_name (body, string)

#### last\_name (body, string)

#### personal\_email (body, string)

#### timezone (body, string)

#### language (body, string)

#### state (body, string)

#### city (body, string)

#### country (body, string)

#### department (body, integer)

#### team (body, integer)

#### level (body, string)

#### title (body, string)

#### address (body, string)

#### originally\_hired (body, string)

#### joined\_on (body, string)

#### terminated\_on (body, string)

#### employee\_id (body, string)

#### date\_of\_birth (body, string)

#### phone\_number (body, string)

#### gender (body, string)

#### hr (body, integer)

#### manager (body, integer)

#### company\_legal\_entity (body, integer)

#### employment\_status (body, string)

#### slack\_id (body, string)

#### azure\_id (body, string)

#### external\_id (body, string)

#### external\_app\_type (body, enum (string))

#### org\_roles (body, array of integer)

#### password (body, string)

#### profile\_image (body, integer)

#### custom\_fields (body, object)

#### is\_deleted (body, boolean)

#### has\_reporters (body, boolean)

#### notification\_enabled (body, boolean)

Enable/disable notifications for the user

## Response

#### 200

Successful response

#### Request

```bash cURL
curl -X PUT 'https://{tenant}.atomicwork.com/api/v1/users/{user_id}' \
  -H 'X-Api-Key: <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{"email": "email", "first_name": "string", "middle_name": "string", "last_name": "string", "personal_email": "email", "timezone": "string", "language": "string", "state": "string", "city": "string", "country": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "hr": 0, "manager": 0, "company_legal_entity": 0, "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "is_deleted": true, "has_reporters": true, "notification_enabled": true}'
```

```javascript JavaScript
const res = await fetch('https://{tenant}.atomicwork.com/api/v1/users/{user_id}', {
  method: 'PUT',
  headers: {
    'X-Api-Key': '<api-key>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"email": "email", "first_name": "string", "middle_name": "string", "last_name": "string", "personal_email": "email", "timezone": "string", "language": "string", "state": "string", "city": "string", "country": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "hr": 0, "manager": 0, "company_legal_entity": 0, "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "is_deleted": true, "has_reporters": true, "notification_enabled": true}),
});
const data = await res.json();
```

```python Python
import requests

res = requests.put(
    'https://{tenant}.atomicwork.com/api/v1/users/{user_id}',
    headers={'X-Api-Key': '<api-key>'},
    json={"email": "email", "first_name": "string", "middle_name": "string", "last_name": "string", "personal_email": "email", "timezone": "string", "language": "string", "state": "string", "city": "string", "country": "string", "department": 0, "team": 0, "level": "string", "title": "string", "address": "string", "originally_hired": "date", "joined_on": "date", "terminated_on": "date", "employee_id": "string", "date_of_birth": "date", "phone_number": "string", "gender": "string", "hr": 0, "manager": 0, "company_legal_entity": 0, "employment_status": "string", "slack_id": "string", "azure_id": "string", "external_id": "string", "external_app_type": "MICROSOFT", "org_roles": [0], "password": "string", "profile_image": 0, "custom_fields": {}, "is_deleted": true, "has_reporters": true, "notification_enabled": true}
)
data = res.json()
```
